
Infrastructure - Task #6733

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Metacat MN index should keep the solr index for archived objects

2015-01-06 19:29 - Jing Tao

Status: Rejected Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

CN Solr index will support this feature. https://redmine.dataone.org/issues/6732

Related issues:

Related to CN Index - Feature #6732: Add 'archived' records to search index Rejected 2015-06-30

History

#1 - 2015-07-13 22:05 - Ben Leinfelder

- Related to Feature #6732: Add 'archived' records to search index added

#2 - 2015-07-14 22:47 - Jing Tao

- Assignee changed from Jing Tao to Ben Leinfelder

Since setting archive=true will not delete solr index for an object, we need a new mechanism to remove solr index for the MN/CN.delete method.

#3 - 2015-07-16 22:51 - Jing Tao

I am not sure if we really need a new mechanism for deleting solr index. It maybe stays there. Please see the ticket for CN:

https://redmine.dataone.org/issues/7242

Anyway, we need to test it.

#4 - 2015-07-21 22:21 - Jing Tao

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

This morning we discussed this feature and decided the archived the object should NOT stay on the cn and mn solr index. So I rejected this ticket.
